//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wShowHideColsPane:
//   Pane for indicating which path browser columns to show and to hide.


#ifndef p4wShowHideColsPane_H
#define p4wShowHideColsPane_H

#include "p4wSpecPane.h"

class p4wShowHideColsPane : public p4wSpecPane {

public:

	p4wShowHideColsPane( p4wView & ParentView, p4wRequest & Request );
		
	virtual		~p4wShowHideColsPane();
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field, 
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };
		
	//
	// Generates page with a big confirm button
	
	void		RenderShowHide();
	
private:

	int			fShowHideCols;
	void		DoSubmit();
		
};

#endif // p4wShowHideColsPane_H
